Case Studies Overview
=====================

CSMA
----

* Properties
    1. R{"time"}max=?[ F "all_delivered" ];
    2. Pmax=?[ !"collision_max_backoff" U "all_delivered" ];

* Parameters
    - backoff: 2,4,6 (process: 3)
    - process: 2..4  (backoff: 4)

* Engines
    - sparse
    - mtbdd
    - hybrid (2)

Israeli-Jalfon
--------------

* Properties
    1. filter(min, Pmin=? [ F<=K "stable" ], "init");
    2. Rmax=? [ I=K ];
    3. filter(max, Rmax=? [ F "stable" ], "init");
    4. P>=1 [ F "stable" ];
    5. P>=0.5 [ F "stable" ];

* Parameters
    - process: 3..21

* Engines
    - sparse
    - mtbdd
    - hybrid (1, 4, 5)

Philosophers
------------

* Properties
    1. filter(forall, "hungry" => P>=1 [F "eat"]);

* Parameters
    - phil: 3..12

* Engines
    - mtbdd
    - hybrid

Producer Consumer: Best Buffer
------------------------------

* Properties
    1. R{"storage_costs"}min=?[F "goal"];
    2. R{"storage_costs"}max=?[F "goal"];

* Parameters
    - buffer_size: 2..16

* Engines
    - sparse
    - mtbdd

Producer Consumer: Best Worker
------------------------------

* Properties
    1. R{"energy"}min=? [F "goal"];

* Parameters
    - workers: 1..10

* Engines
    - sparse
    - mtbdd

Producer Consumer: Distributions
--------------------------------

* Properties
    1. R{"energy"}min=?[F "goal"];
    2. R{"energy"}max=?[F "goal"];

* Parameters
    - distributions: 1..16

* Engines
    - sparse
    - mtbdd

PWCS
----

* Properties
    1. P=? [ F copies[0] = DAMAGED ];
    2. R=? [ F (copies[0] = DAMAGED) ];

* Parameters
    - copies: 1..7 (writers: 3)
    - writers: 1..9 (copies: 3)

* Engines
    - sparse
    - mtbdd
    - hybrid (1)

